Subject: Re: bug#13138: f90-mode indent preprocessor command after continuation line

From: Glenn Morris <[email-masked]>
Date: Mon, 10 Dec 2012 23:46:50 -0500

Version: 24.4

rogue-spectre wrote:

> w = something &
> #ifdef IJK
> + updateforijk
> #elif VECTOR
> + updateforvector
> #endif
>
> when one execute f90-indent-subprogram either by C-M-q or by the f90 menu, one gets :
>
> w = something &
> #ifdef IJK
> + updateforijk
> #elif VECTOR
> + updateforvector
> #endif
>
> so the first #ifdef is indented and it should not.

Thanks for the report. I think you forgot to indent your second example,
but I see what you mean. Fixed in trunk. (The indentation of the code
statement inside the #else branch still is not correct, but I don't
think that's worth bothering about.)